com.trendmicro.ds.platform.rest.object.mt.tenantdb

## Class CreateTenantDatabaseServerRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.WebServiceRequest
  - - com.trendmicro.ds.platform.rest.object.mt.tenantdb.CreateTenantDatabaseServerRequest

-     public class CreateTenantDatabaseServerRequest
      extends WebServiceRequest

  Class encapsulating data/directive to be used for the creation of a new tenant secondary database server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateTenantDatabaseServerRequest()`
    `CreateTenantDatabaseServerRequest(java.lang.String sessionId, TenantDatabaseServerElement tenantDatabaseServerElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TenantDatabaseServerElement` | `getTenantDatabaseServerElement()` Returns tenant database server class containing information to be used for the addition or modification of a tenant secondary database.
    `void` | `setTenantDatabaseServerElement(TenantDatabaseServerElement tenantDatabaseServerElement)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.WebServiceRequest

      `getSessionId, setSessionId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateTenantDatabaseServerRequest

          public CreateTenantDatabaseServerRequest()

    - #### CreateTenantDatabaseServerRequest

          public CreateTenantDatabaseServerRequest(java.lang.String sessionId,
                                                   TenantDatabaseServerElement tenantDatabaseServerElement)

  - ### Method Detail

    - #### getTenantDatabaseServerElement

          public TenantDatabaseServerElement getTenantDatabaseServerElement()

      Returns tenant database server class containing information to be used for the addition or modification of a tenant secondary database.
      Returns:
        tenantDatabaseServerElement

    - #### setTenantDatabaseServerElement

          public void setTenantDatabaseServerElement(TenantDatabaseServerElement tenantDatabaseServerElement)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.